Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 180698 - Database: Create Java DB Database dialog does not hide password.
Database: Create Java DB Database dialog does not hide password.
Status: CLOSED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
PC All
: P3 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@db
: NETFIX, UI
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-14 12:49 UTC by gliesian
Modified: 2011-11-04 17:18 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
changed to passwordField (2.12 KB, patch)
2010-03-24 18:28 UTC, sunbiz
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gliesian 2010-02-14 12:49:39 UTC
The Create Java DB Database (invoked from right clicking the Java DB node and Create Database..) does *not* hide the new password with asterisks.

So, if you type in 'password', you see 'password' and not '********'.

The dialog should let you enter it twice (hidden), if in case there is user error.

Thanks.
Comment 1 sunbiz 2010-03-23 22:05:20 UTC
I agree with the reporter that we should use a password field instead of normal textfield for create database dialog.

Looks like a NetFIX[1] participant can take on. Does Jiri Rechtacek agree?

[1]http://wiki.netbeans.org/NetFIX
Comment 2 Jiri Rechtacek 2010-03-24 09:42:14 UTC
I do agree. Please, fix it. Thank you
Comment 3 sunbiz 2010-03-24 18:28:19 UTC
Created attachment 95716 [details]
changed to passwordField
Comment 4 Jiri Kovalsky 2010-03-24 19:15:32 UTC
Jirko, can you please integrate this patch? Thanks!
Comment 5 Jiri Rechtacek 2010-03-26 10:26:56 UTC
The patch was applied in core-main/rev/f16cc3e48a95. Thanks sanbiz.
I added confirmation of password in core-main/rev/a6a859150b3f
Comment 6 Jiri Kovalsky 2010-03-26 11:54:17 UTC
Thanks Jirko for your review & integration plus thanks for your patch Saptarshi!
Comment 7 Quality Engineering 2010-03-27 06:14:47 UTC
Integrated into 'main-golden', will be available in build *201003270201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/a6a859150b3f
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #180698: Create Java DB Database dialog does not hide password


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo